require 'bluecloth'           # Sped up copy (no logging)

class Nukumi
  module Formatters

    # OldCloth, my first markup language.
    # Just a very quick hack.  Deprecated.
    class OldCloth < String
      def to_html()
        result = self
        result = "<p>\n" + result
        result.gsub!(/(^ ((.|\n )*))+/, "</p><pre>\\1</pre><p>")
        result.gsub!(/\n\n/, "\n</p>\n<p>\n")
        result.gsub!("---", "&#x2014;")
        result.gsub!(/\[\[(.*?)\]\]/, '<a href="\1">\1</a>')
        result << "</p>\n"
        result
      end
    end

    # BlueCloth, slightly hacked.
    class BlueCloth < ::BlueCloth
      def to_html
        self.gsub!(/([^\\])---/, '\1&#x2014;')
        self.gsub!(/([^\\])\.{3}/, '\1&#8230;')
        self.gsub!(/\\\.{3}/, "...")
        super
      end
    end

    # Preformatted text.
    # Inspired by Paul Battley.
    class PreFormatted < String
      def to_html
        "<pre>" + self.gsub(/&/) { "&amp;" }.
                       gsub(/</) { "&lt;" }.
                       gsub(/>/) { "&gt;" } + "</pre>"
      end
    end

    # Plain XHTML.
    # Inspired by Paul Battley.
    class XHTML < String
      def to_html
        self
      end
    end

  end
end

# arch-tag: 3427a0a9-6e00-40c5-a2a5-bdb40a6e0bf1
