<!DOCTYPE stylesheet [
  <!ENTITY version  "0.2.1">
]>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:xhtml="http://www.w3.org/1999/xhtml"
		xmlns:atom="http://purl.org/atom/ns#"
		exclude-result-prefixes="xhtml">
  
  <xsl:output
     method="xml"
     indent="yes"
     encoding="utf-8" />

  <xsl:param name="cfg" select="document($config)/config" />

  <xsl:template match="/">
    
    <feed version="0.3" xmlns="http://purl.org/atom/ns#" xml:lang="{$cfg/language}">
      <title><xsl:value-of select="$cfg/title" /></title>
      <link rel="alternate" type="text/html" href="{$cfg/base-uri}index.html" />
      <author>
	<name><xsl:value-of select="$cfg/author" /></name>
	<url><xsl:value-of select="$cfg/url" /></url>
	<email><xsl:value-of select="$cfg/mailto" /></email>
      </author>
      <tagline><xsl:value-of select="$cfg/tagline" /></tagline>
      <id><xsl:value-of select="$cfg/id" />-feed</id>
      <generator version="{/blog/@version}/&version;"
         >Nukumi &amp; xml2atom.xsl</generator>
      <copyright>
	Copyright © <xsl:value-of select="$cfg/years"/><xsl:text> </xsl:text><xsl:value-of select="$cfg/author"/><xsl:text>, </xsl:text><xsl:value-of select="$cfg/mailto"/>
	Verbatim copying is permitted as long as this message is preserved.
      </copyright>
      <modified><xsl:value-of select="/blog/@xdate" /></modified>

      <xsl:apply-templates select="//entry" />

    </feed>
  </xsl:template>

  <xsl:template match="entry">

    <entry xmlns="http://purl.org/atom/ns#">
      <title><xsl:value-of select="subject" /></title>
      <author>
	<name><xsl:value-of select="$cfg/author" /></name>
	<url><xsl:value-of select="$cfg/url" /></url>
	<email><xsl:value-of select="$cfg/mailto" /></email>
      </author>
      <link rel="alternate" type="text/html"
            href="{$cfg/base-uri}{key[@name='entry']}.html#{permalink}" />
      <id><xsl:value-of select="$cfg/id" />-<xsl:value-of
                                                 select="permalink"/></id>
      <modified><xsl:value-of select="modified" /></modified>
      <issued><xsl:value-of select="xdate" /></issued>
      <created><xsl:value-of select="xdate" /></created>
      
      <content mode="xml" xmlns="http://www.w3.org/1999/xhtml">
	<xsl:apply-templates select="xhtml:body" />
      </content>
    </entry>

  </xsl:template>

  <xsl:template match="xhtml:body">
    <xsl:apply-templates />
  </xsl:template>

 <!-- copy the rest -->
  <xsl:template match="xhtml:*|@*|text()">
    <xsl:copy>
      <xsl:apply-templates select="xhtml:*|@*|text()"/>
    </xsl:copy>
  </xsl:template>

  <!-- remove any PIs -->
  <xsl:template match="processing-instruction()">
  </xsl:template>

  <!-- arch-tag: e205e0a3-8666-4d28-b931-faf1d2e2d3c2
       (do not change this comment)--> 
</xsl:stylesheet>