<!DOCTYPE stylesheet [
  <!ENTITY version  "0.4">
]>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:xhtml="http://www.w3.org/1999/xhtml"
		exclude-result-prefixes="xhtml">
  
  <xsl:output
     method="xml"
     indent="yes"
     encoding="utf-8" />

  <xsl:param name="cfg" select="document($config)/config" />

  <xsl:template match="/">
    
    <rss version="2.0">
      <channel>
	<title><xsl:value-of select="$cfg/title" /></title>
	<link><xsl:value-of select="$cfg/base-uri" />index.html</link>
	<description><xsl:value-of select="$cfg/tagline" /></description>
	<language><xsl:value-of select="$cfg/language" /></language>
	<copyright>Copyright <xsl:value-of select="$cfg/years" /><xsl:text> </xsl:text><xsl:value-of select="$cfg/author" /></copyright>
	<managingEditor><xsl:value-of select="$cfg/mailto" /> (<xsl:value-of select="$cfg/author" />)</managingEditor>
	<webMaster><xsl:value-of select="$cfg/mailto" /> (<xsl:value-of select="$cfg/author" />)</webMaster>
	<generator>Nukumi <xsl:value-of select="/blog/@version" />
	&amp; xml2rss.xsl &version;</generator>
	<pubDate><xsl:value-of select="//blog/@date" /></pubDate>
	<docs>http://blogs.law.harvard.edu/tech/rss</docs>
	<ttl>240</ttl>

	<xsl:apply-templates select="//entry" />

      </channel>
    </rss>
  </xsl:template>

  <xsl:template match="entry">

    <item>
      <title><xsl:value-of select="subject" /></title>
      <link><xsl:value-of select="$cfg/base-uri" /><xsl:value-of select="key[@name='entry']" />.html#<xsl:value-of select="permalink"/></link>
      <guid isPermaLink="false"><xsl:value-of select="$cfg/id" />-<xsl:value-of
                                                 select="permalink"/></guid>
      <description xmlns="http://www.w3.org/1999/xhtml">
	<xsl:apply-templates select="xhtml:body" />
      </description>
      <pubDate><xsl:value-of select="date" /></pubDate>
      <author><xsl:value-of select="$cfg/mailto" /> (<xsl:value-of select="$cfg/author" />)</author>
    </item>

  </xsl:template>

  <xsl:template match="xhtml:body">
    <xsl:apply-templates />
  </xsl:template>

 <!-- copy the rest -->
  <xsl:template match="xhtml:*|@*|text()">
    <xsl:copy>
      <xsl:apply-templates select="xhtml:*|@*|text()"/>
    </xsl:copy>
  </xsl:template>

  <!-- remove any PIs -->
  <xsl:template match="processing-instruction()">
  </xsl:template>

  <!-- arch-tag: 9cbe2690-49a5-4e5f-bc60-5d28e99b8525
       (do not change this comment)--> 
</xsl:stylesheet>